check_PROGRAMS=wsdl

INCLUDES=-I${top_srcdir}
LDFLAGS= ${top_builddir}/akaxiso2/libakaxiso2.la @AKAXISO2_LDFLAGS@

SCHEMAS=XMLSchema.h XMLSchema_xiso.cpp XMLSchema_xiso.h encoding.h encoding_xiso.cpp encoding_xiso.h  soap-encoding.h soap-encoding_xiso.cpp soap-encoding_xiso.h soap-envelope.h soap-envelope_xiso.cpp soap-envelope_xiso.h soap-rpc.h soap-rpc_xiso.cpp soap-rpc_xiso.h soap.h soap_xiso.cpp soap_xiso.h wsdl.h xml.h xml_xiso.cpp xml_xiso.h wsdl_xiso.cpp wsdl_xiso.h

serializer.h serializer.cpp:
	./generate.sh

wsdl_SOURCES=serializer.cpp serializer.h ${SCHEMAS} wsdl_main.cpp

clean-generic:
	rm -f *_xiso* *.h serializer.h serializer.cpp

dot:
	${builddir}/osixaka2/osixaka2 schemas/wsdl.xml -g
	dot  -Tgif wsdl.dot -owsdl.gif
